.bg-primary-color{ background-color: var(--wp--preset--color--primary); }
.bg-secondary-color{ background-color: var(--wp--preset--color--secondary); }
.black{ color: var(--wp--preset--color--black); }
.white{ color: var(--wp--preset--color--white); }
.width-auto{ width: auto; }
.no-border{	border: none !important; }
.max-width-1-4{ max-width: 250px !important; }
.max-width-1-2{ max-width: 500px !important; }
.max-width-3-4{ max-width: 750px !important; }
.no-background,
.no-background-child > *{ background-color: transparent; }
.filter-invert{ filter: invert(1); }
.height-100,
.child-height-100 > *{ height: 100%; }
.no-pointer-event{ pointer-events: none; }
.max-650{ max-width: 650px; margin-left: auto; margin-right: auto; }
.op-50, .opacity-50{ opacity: .5; }
.dashicons, .dashicons-before:before{
	vertical-align: -webkit-baseline-middle;
	padding-left: 5px;
}
.wp-block-button.is-style-outline > .wp-block-button__link.wp-element-button:hover{
	color: var(--wp--preset--color--white);
	border-color: var(--wp--preset--color--third);
	background-color: var(--wp--preset--color--third);
}

/* MAIN MENU */

.srfb-navigation .wp-block-pages-list__item__link{ position: relative; }
.srfb-navigation .current-menu-item .wp-block-pages-list__item__link,
.srfb-navigation .wp-block-pages-list__item__link:hover{ color: var(--wp--preset--color--third); }
.srfb-navigation .wp-block-pages-list__item__link:after{
	content: "";
	display: block;
	width: 5px;
	height: 5px;
	background-color: var(--wp--preset--color--third);
	position: absolute;
	inset: auto auto -10px 50%;
	border-radius: 100%;
	transform: translateX(-50%) scale(0);
	transition: transform .25s ease-in-out;
}
.srfb-navigation .current-menu-item .wp-block-pages-list__item__link:after,
.srfb-navigation .wp-block-pages-list__item__link:hover:after{
	transform: translateX(-50%) scale(1);
}

/* END MAIN MENU */

/* HEADER PAGE */

.srfb-header-page.wp-block-cover .wp-block-cover__image-background{
	width: 75vw;
	margin-right: 0;
	margin-left: auto;
	border-radius: 7px;
}
.srfb-header-page.wp-block-cover .wp-block-cover__inner-container{
	width: 50vw !important;
}

/* END HEADER PAGE */

/* TIMELINE BLOCK */

.timeline-block{ position: relative; }
.timeline-block:after{
	content: "";
	display: block;
	position: absolute;
	inset: 0 calc(50% - 2px);
	width: 2px;
	background-color: var(--wp--preset--color--secondary);
	z-index: -1;
}
.timeline-block .date-container > *{ margin-top: 50%; }

/* END TIMELINE BLOCK */

/* EVENTS (TO DELETE) */
/*
.single-event_listing article.event_listing .greennature-blog-thumbnail,
.single-event_listing article.event_listing .greennature-blog-date-wrapper,
.single-event_listing article.event_listing .blog-content-wrapper header.post-header,
.single-event_listing article.event_listing .single_event_listing .event_registration.registration,
.srfb-events-listing .wpem-event-listings.wpem-event-listing-list-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-date-time,
.wpem-event-listings-header .wpem-event-listing-header-title .wpem-heading-text,
.wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-date .wpem-event-date-type .wpem-to-date
{ display: none; }
.wpem-event-listings .wpem-event-layout-wrapper .wpem-event-type
{ padding-top: 0; }
.single-event_listing article.event_listing .wpem-single-event-page .wpem-heading-text
{
	font-size: 36px;
	text-align: center;
	color: #3f3f3f;
}
.single-event_listing article.event_listing .wpem-single-event-page .wpem-single-event-body > .wpem-row
{
	flex-direction: column;
	align-items: center;
}
.single-event_listing article.event_listing .wpem-single-event-page .wpem-single-event-body > .wpem-row > div
{ max-width: 100%; }
.single-event_listing article.event_listing .wpem-single-event-page .wpem-single-event-body > .wpem-row > div:last-child
{
	max-width: calc(100% - 30px);
	text-align: center;
	background-color: lightgray;
}
.wpem-single-event-page .wpem-single-event-wrapper .wpem-single-event-header-top .wpem-event-single-image-wrapper .wpem-event-single-image img
{ object-fit: cover; max-height: 250px; }
#event-listing-view.wpem-event-listing-list-view > div:not(.no_event_listings_found) {
	border: solid 1px;
	margin-bottom: 30px;
	border-radius: 7.5px;
	overflow: hidden;
	height: 190px;
}
#event-listing-view.wpem-event-listing-list-view > div > .wpem-event-layout-wrapper
{ border-bottom: none; height: 100%; }
#event-listing-view.wpem-event-listing-list-view > div > .wpem-event-layout-wrapper > div
{ border-left-color: var(--wp--preset--color--primary); }
#event-listing-view.wpem-event-listing-box-view .wpem-from-date
{ background-color: var(--wp--preset--color--primary); }
#event-listing-view.wpem-event-listing-box-view .wpem-from-date > div,
.wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-date .wpem-event-date-type .wpem-from-date .wpem-date,
.wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-date .wpem-event-date-type .wpem-from-date .wpem-month
{ color: var(--wp--preset--color--white); }
.wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-date
{
	width: auto;
	left: auto;
	right: 30px;
	top: -25px;
	background-color: var(--wp--preset--color--primary);
	padding: 25px 10px 10px;
}
.wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details
{
	padding-left: 0px;
	padding-right: 35px;
	width: calc(100% - 65px);
}
.wpem-event-listings.wpem-event-listing-list-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-date-time, .wpem-event-listings.wpem-event-listing-list-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-location, .wpem-event-listings.wpem-event-listing-list-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-ticket-type, .wpem-event-listings.wpem-event-listing-list-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-type{ font-size: .85em; }
.wpem-event-listing-list-view.wpem-event-listings .wpem-event-layout-wrapper .event_listing{ padding: 15px; }
.wpem-single-event-page .wpem-single-event-wrapper .wpem-single-event-body .wpem-single-event-left-content .wpem-single-event-short-info .wpem-viewed-event
{
	position: absolute;
  inset: 1em auto auto 2em;
}
.past_event_listings .wpem-event-layout-action-wrapper{ display: none; }
.srfb-events-listing .wpem-event-listings-header{ display: none; }
.wpem-event-listings.wpem-event-listing-box-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details{ width: 100% }
*/
/* END EVENTS */

/* TABLE-DESIGN */

.table-design td,
.table-design th{ padding: 20px; text-align: inherit; }
.table-design th a{ color: var(--wp--preset--color--white); }
.table-design.collapse{ border-collapse: collapse; }
.table-design th,
.table-design th:hover{ background-color: var(--wp--preset--color--secondary); color: var(--wp--preset--color--white); text-transform: uppercase; font-weight: bold; }
.table-design tbody > tr:hover{ background-color: #f3f3f3; }
.table-design-simple-header thead,
.table-design-simple-header thead th{ background-color: transparent; border: none; font-weight: bold; }

table.ff_repeater_table tr th{ color: var(--wp--preset--color--black); }

.table-new-generation thead,
.table-new-generation th{	border: none; }

.table-new-generation tbody tr td:first-child{
	background-color: var(--wp--preset--color--secondary);
	text-align: left;
	color: var(--wp--preset--color--white);
}

.table-new-generation tbody tr td{ border-color: var(--wp--preset--color--secondary); }

.table-new-generation th,
.table-new-generation tbody tr td{
	padding: 30px;
}

.table-new-generation tbody tr td mark{	font-size: 2.5em; }

/* END TABLE-DESIGN */

/* FORM-DESIGN */

.fluentform .ff-el-group.ff_list_buttons .ff-el-input--content .ff-el-form-check.ff_item_selected label>span,
.fluentform .ff-el-group.ff_list_buttons .ff-el-input--content .ff-el-form-check.ff_item_selected:first-child label>span,
.fluentform .ff_submit_btn_wrapper .ff-btn-submit{
	background-color: var(--wp--preset--color--secondary);
	border-color: var(--wp--preset--color--secondary);
	box-shadow: none;
}
.fluentform .ff_submit_btn_wrapper .ff-btn-submit:hover{
	background-color: var(--wp--preset--color--third);
}
.fluentform .ff_list_buttons.ff-el-group input[type='checkbox'],
.fluentform .ff_list_buttons.ff-el-group input[type='radio']{ position: absolute !important; }
.fluentform .ff-el-group.ff_list_buttons .ff-el-input--content .ff-el-form-check:not(.ff_item_selected) label>span:hover{
	color: var(--wp--preset--color--primary);
}
.ff_repeater_cont_row{
	padding: 5px;
}
.ff_repeater_cont_row .ff-el-repeat-buttons-list{ gap: 10px; }
.ff_repeater_cont_row .ff-el-repeat-buttons-list > span[role=button]{
	transform: scale(1.5);
	fill: var(--wp--preset--color--primary);
}
@media (max-width: 768px){
	.ff_repeater_cont_row{ flex-direction: column; gap: 10px; }
	.ff-repeater-container.pad-25{ padding: 0 !important; }
	.ff_repeater_cont_row .ff_repeater_cell{ padding: 0; }
}

/* END FORM-DESIGN */

/* DETAILS */

details summary{
	font-weight: bold;
	font-size: 1.25rem;
	padding: 10px;
	cursor: pointer;
}
details:hover summary{ color: var(--wp--preset--color--primary); }

/* END DETAILS */